Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package async
  Definition Classes
    transform
- AsyncAnalysis
- AsyncNames
- AsyncPhase
- AsyncTransformStates
- ExprBuilder
- Lifter
- LiveVariables
- StateAssigner
- StateSet
- StateTransitionTree

t

scala.tools.nsc.transform.async

# AsyncTransformStates

###

#### trait AsyncTransformStates extends TypingTransformers

Source
  AsyncTransformStates.scala

Linear Supertypes
TypingTransformers, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AsyncTransformStates
2. TypingTransformers
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  abstract class ThicketTransformer extends TypingTransformer

   A base class for typing transformers that need to perform "thicket expansion".

   A base class for typing transformers that need to perform "thicket expansion". A thicket is the output of a transformation that is flattened into the enclosing block.

   Definition Classes
     TypingTransformers
2.  abstract class TypingTransformer extends Global.AstTransformer
   Definition Classes
     TypingTransformers
3.  class AsyncTransformState extends AnyRef

### Abstract Value Members

1.  abstract val global: Global
   Definition Classes
     AsyncTransformStates → TypingTransformers

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from AsyncTransformStates toany2stringadd[AsyncTransformStates] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (AsyncTransformStates, B)
   Implicit
     This member is added by an implicit conversion from AsyncTransformStates toArrowAssoc[AsyncTransformStates] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (AsyncTransformStates) => Boolean, msg: => Any): AsyncTransformStates
   Implicit
     This member is added by an implicit conversion from AsyncTransformStates toEnsuring[AsyncTransformStates] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (AsyncTransformStates) => Boolean): AsyncTransformStates
   Implicit
     This member is added by an implicit conversion from AsyncTransformStates toEnsuring[AsyncTransformStates] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): AsyncTransformStates
    Implicit
      This member is added by an implicit conversion from AsyncTransformStates toEnsuring[AsyncTransformStates] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): AsyncTransformStates
    Implicit
      This member is added by an implicit conversion from AsyncTransformStates toEnsuring[AsyncTransformStates] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from AsyncTransformStates toStringFormat[AsyncTransformStates] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  def newRootLocalTyper(unit: Global.CompilationUnit): (analyzer)#Typer
    Attributes
      protected
    Definition Classes
      TypingTransformers
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (AsyncTransformStates, B)
   Implicit
     This member is added by an implicit conversion from AsyncTransformStates toArrowAssoc[AsyncTransformStates] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from TypingTransformers

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromAsyncTransformStates to any2stringadd[AsyncTransformStates]

### Inherited by implicit conversion StringFormat fromAsyncTransformStates to StringFormat[AsyncTransformStates]

### Inherited by implicit conversion Ensuring fromAsyncTransformStates to Ensuring[AsyncTransformStates]

### Inherited by implicit conversion ArrowAssoc fromAsyncTransformStates to ArrowAssoc[AsyncTransformStates]

### Ungrouped